package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import javax.inject.Inject;

import jp.co.intra_mart.foundation.workflow.plugin.process.matter_end.MatterEndProcessParameter;
import jp.co.intra_mart.sample.im_workflow.MatterEndProcessService;
import jp.co.intra_mart.sample.im_workflow.tsfw.domain.model.SampleImwTPurchase;
import jp.co.intra_mart.sample.im_workflow.tsfw.domain.repository.SampleImwTPurchaseRepository;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional(propagation = Propagation.MANDATORY)
public class MatterEndProcessServiceImpl implements MatterEndProcessService {

    @Inject
    SampleImwTPurchaseRepository repository;

    @Override
    public boolean execute(final MatterEndProcessParameter parameter) throws Exception {
        outputLog(parameter);

        final boolean result = true;

        // 案件終了フラグを更新します。
        final SampleImwTPurchase entity = repository.select(parameter.getUserDataId());
        entity.setEndFlag("1");
        repository.update(entity);

        return result;
    }

    private void outputLog(final MatterEndProcessParameter parameter) {
        System.out.println("----- MatterEndProcess - execute -----");
        System.out.println("LoginGroupId        : " + parameter.getLoginGroupId());
        System.out.println("LocaleId            : " + parameter.getLocaleId());
        if (parameter.getTargetLocales() != null) {
            System.out.print("TargetLocales       : ");
            for (final String str : parameter.getTargetLocales()) {
                System.out.print(str + " ");
            }
            System.out.println();
        } else {
            System.out.println("TargetLocales       : ");
        }
        System.out.println("ContentsId          : " + parameter.getContentsId());
        System.out.println("ContentsVersionId   : " + parameter.getContentsVersionId());
        System.out.println("RouteId             : " + parameter.getRouteId());
        System.out.println("RouteVersionId      : " + parameter.getRouteVersionId());
        System.out.println("FlowId              : " + parameter.getFlowId());
        System.out.println("FlowVersionId       : " + parameter.getFlowVersionId());
        System.out.println("ApplyBaseDate       : " + parameter.getApplyBaseDate());
        System.out.println("ProcessDate         : " + parameter.getProcessDate());
        System.out.println("SystemMatterId      : " + parameter.getSystemMatterId());
        System.out.println("UserDataId          : " + parameter.getUserDataId());
        System.out.println("Parameter           : " + parameter.getParameter());
        System.out.println("ActFlag             : " + parameter.getActFlag());
        System.out.println("LastProcessNodeId   : " + parameter.getLastProcessNodeId());
        System.out.println("LastAuthUserCd      : " + parameter.getLastAuthUserCd());
        System.out.println("LastExecUserCd      : " + parameter.getLastExecUserCd());
        System.out.println("LastResultStatus    : " + parameter.getLastResultStatus());
        if (parameter.getMailIds() != null) {
            System.out.print("MailIds             : ");
            for (final String str : parameter.getMailIds()) {
                System.out.print(str + " ");
            }
            System.out.println();
        } else {
            System.out.println("MailIds             : ");
        }
        if (parameter.getImBoxIds() != null) {
            System.out.print("ImBoxIds            : ");
            for (final String str : parameter.getImBoxIds()) {
                System.out.print(str + " ");
            }
            System.out.println();
        } else {
            System.out.println("ImBoxIds            : ");
        }
        System.out.println("MailReplaceMap      : " + parameter.getMailReplaceMap());
        System.out.println("ImBoxReplaceMap     : " + parameter.getImBoxReplaceMap());
        System.out.println("----- MatterEndProcess - execute -----");
    }
}
