package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import javax.inject.Inject;

import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.sample.im_workflow.WorkflowArcMatterDeleteListenerService;
import jp.co.intra_mart.sample.im_workflow.tsfw.domain.repository.SampleImwTPurchaseRepository;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional(propagation = Propagation.MANDATORY)
public class WorkflowArcMatterDeleteListenerServiceImpl implements WorkflowArcMatterDeleteListenerService {

    @Inject
    SampleImwTPurchaseRepository repository;

    @Override
    public void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId, final String archiveMonth) throws WorkflowException {
        outputLog(loginGroupId, localeId, systemMatterId, userDataId, archiveMonth);
        // ユーザアプリケーションデータを削除します。
        repository.delete(userDataId);
    }

    private void outputLog(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId, final String archiveMonth) {
        System.out.println("----- WorkflowArcMatterDeleteListener - execute -----");
        System.out.println("LoginGroupId        : " + loginGroupId);
        System.out.println("LocaleId            : " + localeId);
        System.out.println("systemMatterId      : " + systemMatterId);
        System.out.println("userDataId          : " + userDataId);
        System.out.println("archiveMonth        : " + archiveMonth);
        System.out.println("----- WorkflowArcMatterDeleteListener - execute -----");
    }

}
