package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.foundation.workflow.listener.IWorkflowMatterArchiveListener;
import jp.co.intra_mart.framework.extension.spring.context.ApplicationContextProvider;
import jp.co.intra_mart.sample.im_workflow.WorkflowMatterArchiveListenerService;

public class WorkflowMatterArchiveListener implements IWorkflowMatterArchiveListener {

    /**
     * 案件退避処理リスナーの実行メソッド
     * <p>
     * @param loginGroupId
     * @param localeId
     * @param systemMatterId
     * @param userDataId
     * @throws WorkflowException
     */
    @Override
    public void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) throws WorkflowException {
        // 案件退避処理リスナーのサービスを取得します。
        final WorkflowMatterArchiveListenerService service = ApplicationContextProvider.getApplicationContext().getBean(WorkflowMatterArchiveListenerService.class);
        service.execute(loginGroupId, localeId, systemMatterId, userDataId);
    }
}
