<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="imui" uri="http://www.intra-mart.co.jp/taglib/imui" %>
<%@ taglib prefix="imart" uri="http://www.intra-mart.co.jp/taglib/core/standard" %>
<%@ taglib prefix="workflow" uri="http://www.intra-mart.co.jp/taglib/imw/workflow" %>
<%@ taglib prefix="spring"  uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="f"      uri="http://terasoluna.org/functions" %>

<imui:head>
<title><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></title>

<workflow:workflowOpenPageCsjs />
<script src="ui/libs/jquery-validation-1.9.0/jquery.validate.js"></script>
<script type="text/javascript">
var rules = {
	item_name : {
		required : true
	},
	item_amount : {
		required : true,
		number   : true
	},
	item_price : {
		required : true,
		number   : true
	}
};
var messages = {
	item_name : {
		required : '<spring:message code="SAMPLE.IMW.INF.000" />'
	},
	item_amount : {
		required : '<spring:message code="SAMPLE.IMW.INF.001" />',
		number   : '<spring:message code="SAMPLE.IMW.INF.003" />'
	},
	item_price : {
		required : '<spring:message code="SAMPLE.IMW.INF.002" />',
		number   : '<spring:message code="SAMPLE.IMW.INF.004" />'
	}
};

$(function(){
	$('#back').click(function(){
		$('#backForm').submit();
		return false;
    });
	$('#openPage0').click(function(){
		if (!imuiValidate('#workflowOpenPageForm', rules, messages)) return;
		workflowOpenPage('0');
		return false;
    });
	$('#openPage1').click(function(){
		workflowOpenPage('1');
		return false;
    });
	$('#openPage2').click(function(){
		if (!imuiValidate('#workflowOpenPageForm', rules, messages)) return;
		workflowOpenPage('2');
		return false;
    });
	$('#openPage3').click(function(){
		if (!imuiValidate('#workflowOpenPageForm', rules, messages)) return;
		workflowOpenPage('3');
		return false;
    });
});
</script>
</imui:head>

<workflow:workflowUserContentsAuth imwApplyBaseDate='${f:h(purchaseForm.imwApplyBaseDate)}'
            imwAuthUserCode = '${f:h(purchaseForm.imwAuthUserCode)}'
            imwFlowId='${f:h(purchaseForm.imwFlowId)}'
            imwNodeId ='${f:h(purchaseForm.imwNodeId)}'
            imwPageType = '${f:h(purchaseForm.imwPageType)}'
            imwSystemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'
            imwUserDataId='${f:h(purchaseForm.imwUserDataId)}'/>
<workflow:workflowOpenPage name="workflowOpenPageForm"
                           id="workflowOpenPageForm"
                           method="POST"
                           target="_top"
                           imwUserDataId="${f:h(purchaseForm.imwUserDataId)}"
                           imwSystemMatterId="${f:h(purchaseForm.imwSystemMatterId)}"
                           imwAuthUserCode="${f:h(purchaseForm.imwAuthUserCode)}"
                           imwApplyBaseDate="${f:h(purchaseForm.imwApplyBaseDate)}"
                           imwNodeId="${f:h(purchaseForm.imwNodeId)}"
                           imwFlowId="${f:h(purchaseForm.imwFlowId)}"
                           imwCallOriginalParams="${f:h(purchaseForm.imwCallOriginalParams)}"
                           imwNextScriptPath="${f:h(purchaseForm.imwCallOriginalPagePath)}">

	<div class="imui-title-small-window">
		<h1><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></h1>
	</div>
	<div class="imui-toolbar-wrap">
	 	<div class="imui-toolbar-inner">
			<ul class="imui-list-toolbar">
				<li>
					<a href="javascript:void(0);" id="back">
						<span class="im-ui-icon-common-16-back"></span>
					</a>
				</li>
			</ul>
		</div>
	</div>
	
	<div class="imui-form-container">
		<header class="imui-chapter-title">
			<h2><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></h2>
		</header>
	
		<table class="imui-form">
			<tbody>
				<tr>
					<th><label class="imui-required"><spring:message code="SAMPLE.IMW.CAP.020" /></label></th>
					<td><input type="text" value="${f:h(purchaseForm.item_name)}" id="item_name" name="item_name" size="50"></td>
				</tr>
				<tr>
					<th><label class="imui-required"><spring:message code="SAMPLE.IMW.CAP.021" /></label></th>
					<td><input type="text" value="${f:h(purchaseForm.item_amount)}" id="item_amount" name="item_amount" size="50"></td>
				</tr>
				<tr>
					<th><label class="imui-required"><spring:message code="SAMPLE.IMW.CAP.022" /></label></th>
					<td><input type="text" value="${f:h(purchaseForm.item_price)}" id="item_price" name="item_price" size="50"></td>
				</tr>
				<tr>
					<th><label><spring:message code="SAMPLE.IMW.CAP.024" /></label></th>
					<td>
						<textarea id="item_comment" name="item_comment" rows="3" cols="40">${f:h(purchaseForm.item_comment)}</textarea>
					</td>
				</tr>
			</tbody>
		</table>
	
		<div class="imui-operation-parts">

			<imart:decision case="0" value="${f:h(purchaseForm.imwPageType)}">
				<input type="button" value='<spring:message code="SAMPLE.IMW.CAP.003" />' id="openPage0" name="openPage0" class="imui-large-button" escapeXml="true" escapeJs="false" />
				<input type="button" value='<spring:message code="SAMPLE.IMW.CAP.002" />' id="openPage1" name="openPage1" class="imui-large-button" escapeXml="true" escapeJs="false" />
			</imart:decision>
			<imart:decision case="1" value="${f:h(purchaseForm.imwPageType)}">
				<input type="button" value='<spring:message code="SAMPLE.IMW.CAP.003" />' id="openPage0" name="openPage0" class="imui-large-button" escapeXml="true" escapeJs="false" />
				<input type="button" value='<spring:message code="SAMPLE.IMW.CAP.002" />' id="openPage1" name="openPage1" class="imui-large-button" escapeXml="true" escapeJs="false" />
			</imart:decision>
			<imart:decision case="2" value="${f:h(purchaseForm.imwPageType)}">
				<input type="button" value='<spring:message code="SAMPLE.IMW.CAP.003" />' id="openPage2" name="openPage2" class="imui-large-button" escapeXml="true" escapeJs="false" />
			</imart:decision>
			<imart:decision case="3" value="${f:h(purchaseForm.imwPageType)}">
				<input type="button" value='<spring:message code="SAMPLE.IMW.CAP.004" />' id="openPage3" name="openPage3" class="imui-large-button" escapeXml="true" escapeJs="false" />
			</imart:decision>
		</div>
	</div>
</workflow:workflowOpenPage>

	<form name="backForm" id="backForm" method="POST" action="${f:h(purchaseForm.imwCallOriginalPagePath)}">
	    <input type="hidden" name=imwCallOriginalParams value="${f:h(purchaseForm.imwCallOriginalParams)}" />
	</form>
