<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="imartj2ee" uri="http://www.intra-mart.co.jp/taglib/core/framework" %>
<%@ taglib prefix="imui" uri="http://www.intra-mart.co.jp/taglib/imui" %>
<%@ taglib prefix="workflowSmartphone" uri="http://www.intra-mart.co.jp/taglib/imw/workflow-smartphone" %>
<%@ taglib prefix="spring"  uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="f"      uri="http://terasoluna.org/functions" %>

<imui:head>
  <title><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></title>
  <workflowSmartphone:spWorkflowOpenPageCsjs />
  <script type="text/javascript">
  $(function($){
    $('#back').click(function(){
      $('#backForm').submit();
      return false;
    });
    $('#openPage').click(function(){
      workflowOpenPage4Sp('${f:h(purchaseForm.imwPageType)}');
      return false;
    });
  });
  </script>
</imui:head>

<workflowSmartphone:spWorkflowUserContentsAuth imwApplyBaseDate='${f:h(purchaseForm.imwApplyBaseDate)}'
            imwAuthUserCode = '${f:h(purchaseForm.imwAuthUserCode)}'
            imwFlowId='${f:h(purchaseForm.imwFlowId)}'
            imwNodeId ='${f:h(purchaseForm.imwNodeId)}'
            imwPageType = '${f:h(purchaseForm.imwPageType)}'
            imwSystemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'
            imwUserDataId='${f:h(purchaseForm.imwUserDataId)}'/>

<div data-role="page" id="imw-sp-sample-confirm" data-theme="a">
  <div data-theme="a" data-role="header">
    <a data-role="button" data-icon="back" id="back"><spring:message code="SAMPLE.IMW.CAP.001" /></a>
    <h1><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></h1>
  </div>

  <div data-role="content">
    <workflowSmartphone:spWorkflowOpenPage name="workflowOpenPageForm"
                                 method="POST"
                                 target="_top"
                                 imwSystemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'
                                 imwNodeId='${f:h(purchaseForm.imwNodeId)}'
                                 imwCallOriginalParams='${f:h(purchaseForm.imwCallOriginalParams)}'
                                 imwNextScriptPath='${f:h(purchaseForm.imwCallOriginalPagePath)}' />
    <ul data-role="listview" class="wrap">
      <li>
        <label class="ui-select" style="opacity:0.6"><spring:message code="SAMPLE.IMW.CAP.020" /></label>
        <div style="font-size:16px;padding:3px 0 0 24px;text-shadow:0.5px 0.5px 0.5px #000;">
          ${f:h(purchaseForm.item_name)}
        </div>
      </li>
      <li>
        <label class="ui-select" style="opacity:0.6"><spring:message code="SAMPLE.IMW.CAP.021" /></label>
        <div style="font-size:16px;padding:3px 0 0 24px;text-shadow:0.5px 0.5px 0.5px #000;">
          ${f:h(purchaseForm.item_amount)}
        </div>
      </li>
      <li>
        <label class="ui-select" style="opacity:0.6"><spring:message code="SAMPLE.IMW.CAP.022" /></label>
        <div style="font-size:16px;padding:3px 0 0 24px;text-shadow:0.5px 0.5px 0.5px #000;">
          ${f:h(purchaseForm.item_price)}
        </div>
      </li>
      <li>
        <label class="ui-select" style="opacity:0.6"><spring:message code="SAMPLE.IMW.CAP.023" /></label>
        <div style="font-size:16px;padding:3px 0 0 24px;text-shadow:0.5px 0.5px 0.5px #000;">
          ${f:h(purchaseForm.item_total)}
        </div>
      </li>
      <li>
        <label for="item_comment"><spring:message code="SAMPLE.IMW.CAP.024" /></label>
        <textarea id="item_comment" name="item_comment" data-theme="c" readonly="readonly">${f:h(purchaseForm.item_comment)}</textarea>
      </li>
      <li data-role="fieldcontain">
        <fieldset>
          <div><button type="button" id="openPage" data-theme="b"><spring:message code="SAMPLE.IMW.CAP.006" /></button></div>
        </fieldset>
      </li>
    </ul>
  </div>

  <div data-role="footer" class="imui-smart-footer" data-position="fixed" data-theme="a">
    <div data-role="navbar">
      <ul>
        <li><a href='${homeUrl}' data-icon="custom" class="im-smart-icon-common-32-home-navbar" data-iconpos="top" data-ajax="false"></a></li>
        <li><a href="#"></a></li>
        <li><a href="#"></a></li>
        <li><a href="#"></a></li>
        <li><a href="#"></a></li>
      </ul>
    </div>
  </div>

  <form name="backForm" id="backForm" method="POST" action='${f:h(purchaseForm.imwCallOriginalPagePath)}' data-ajax="false">
      <input type="hidden" name=imwCallOriginalParams value='${f:h(purchaseForm.imwCallOriginalParams)}' />
  </form>
</div>